import Cookies from 'js-cookie'

export default [{handler: setCvViewRolloutCookie}]

/**
 * Cv View feature flag
 */
async function setCvViewRolloutCookie(pde) {
  const data = pde.isFeatureEnabled({
    featureKey: 'ff_ij_be_cv_to_react',
    attributes: {
      logged_user_id: window.analytics.user().id()
    }
  })

  Cookies.set('ijreactcv', data.isActive ? '1' : '0', {expires: 60})
}
